
Infrastructure - Story #3476

ONEDrive needs to be performant and easy to install

2013-01-11 17:01 - Chris Jones

Status: Closed Start date: 2013-01-11

Priority: Normal Due date: 2013-01-19

Assignee: Roger Dahl % Done: 100%

Category: d1_client_ONEDrive Estimated time: 0.00 hour

Target version: 2013.2-Block.1.1   

Story Points:    

Description

Performance in critical for the functionality of ONEDrive as well as the Coordinating Nodes.  Given > 1K ONEDrive clients hitting the

Solr index, the CN will suffer in performance if queries aren't optimized and cached.  Likewise, for ONEDrive to be easily adopted,

the installation must be as turnkey as possible, which means we need to be as close to a "one-click" install as possible, keeping the

platform differences into mind. Subtasks are below.

Subtasks:

Task # 3478: Improve ONEDrive performance by minimizing queries sent to the server Closed

Task # 3479: Improve ONEDrive usability by installing via a Python egg Closed

History

#1 - 2013-01-11 17:03 - Chris Jones

- Tracker changed from Task to Story

- Due date set to 2013-01-19

- translation missing: en.field_remaining_hours set to 0.0

#2 - 2014-01-17 16:56 - Roger Dahl

- Status changed from New to Closed
